Skip to main content
These pages document the Relay API. Default chat path is OpenAI Chat Completions at https://api.pipellm.ai/v1. Each page below is one HTTP operation.

Jev / System One

POST /v1/systemone

Call jev-1.13.0 for typed judgments, choices and scores.

Models

GET /v1/models

List model IDs visible to your account

GET /v1/models/pricing

Look up the authoritative price for a model

Chat

POST /v1/chat/completions

OpenAI-compatible chat completions, including streaming

POST /v1/responses

OpenAI Responses API

POST /v1/messages

Anthropic Messages

POST /v1beta/models/{model}:generateContent

Gemini generateContent

POST /v1beta/models/{model}:streamGenerateContent

Gemini streaming

Video

POST /v2/videos

Create a video task

GET /v2/videos/{id}

Poll a video task

DELETE /v2/videos/{id}

Cancel a video task

WebSearch

GET /v1/websearch/search

Deep search

GET /v1/websearch/simple-search

Fast snippets

GET /v1/websearch/reader

Fetch a URL as text

GET /v1/websearch/search-news

News search

Auth, errors, limits